package com.chinaitop.depot.profitlossStatement.mapper;

import java.util.List;
import java.util.Map;

import com.chinaitop.depot.profitlossStatement.model.DataStatistics;

public interface DataStatisticsMapper {

	/**
	 * 按仓房类型统计
	 * @return
	 */
	List<DataStatistics> selectByCflx(Map<String, String> paramMap);

	/**
	 * 按粮食品种统计
	 * @return
	 */
	List<DataStatistics> selectByLspz(Map<String, String> paramMap);

	/**
	 * 按粮食性质统计
	 * @return
	 */
	List<DataStatistics> selectByLsxz(Map<String, String> paramMap);

	/**
	 * 按库点名称统计
	 * @return
	 */
	List<DataStatistics> selectByKdmc(Map<String, String> paramMap);
}
