package com.chinaitop.depot.profitlossStatement.model;

import java.math.BigDecimal;

public class DataStatistics {

	/* 库点名称 */
	private String kdmc;
	/* 仓房类型 */
	private String cflx;
	/* 粮食品种 */
	private String lspz;
	/* 粮食性质 */
	private String lsxz;
	/* 入库数量 */
	private BigDecimal rksl;
	/* 出库数量 */
	private BigDecimal cksl;
	/* 损失数量 */
	private BigDecimal sssl;
	/* 损失率 */
	private BigDecimal ssl;
	/* 损耗数量 */
	private BigDecimal shsl;
	/* 损耗率 */
	private BigDecimal shl;
	/* 溢余数量 */
	private BigDecimal yysl;
	/* 超耗数量 */
	private BigDecimal chsl;
	/* 水杂减量合计 */
	private BigDecimal szjlhj;
	/* 保管自然损耗定额数量 */
	private BigDecimal bgzrshdesl;

	/**
	 * 库点名称
	 * @return
	 */
	public String getKdmc() {
		return kdmc;
	}
	
	/**
	 * 库点名称
	 * @param kdmc
	 */
	public void setKdmc(String kdmc) {
		this.kdmc = kdmc;
	}
	
	/**
	 * 仓房类型
	 * @return
	 */
	public String getCflx() {
		return cflx;
	}
	
	/**
	 * 仓房类型
	 * @param cflx
	 */
	public void setCflx(String cflx) {
		this.cflx = cflx;
	}

	/**
	 * 粮食品种
	 * @return
	 */
	public String getLspz() {
		return lspz;
	}

	/**
	 * 粮食品种
	 * @param lspz
	 */
	public void setLspz(String lspz) {
		this.lspz = lspz;
	}

	/**
	 * 粮食性质
	 * @return
	 */
	public String getLsxz() {
		return lsxz;
	}

	/**
	 * 粮食性质
	 * @param lsxz
	 */
	public void setLsxz(String lsxz) {
		this.lsxz = lsxz;
	}

	/**
	 * 入库数量
	 * @return
	 */
	public BigDecimal getRksl() {
		return rksl;
	}

	/**
	 * 入库数量
	 * @param rksl
	 */
	public void setRksl(BigDecimal rksl) {
		this.rksl = rksl;
	}

	/**
	 * 出库数量
	 * @return
	 */
	public BigDecimal getCksl() {
		return cksl;
	}

	/**
	 * 出库数量
	 * @param cksl
	 */
	public void setCksl(BigDecimal cksl) {
		this.cksl = cksl;
	}

	/**
	 * 损失数量
	 * @return
	 */
	public BigDecimal getSssl() {
		return sssl;
	}

	/**
	 * 损失数量
	 * @param sssl
	 */
	public void setSssl(BigDecimal sssl) {
		this.sssl = sssl;
	}

	/**
	 * 损失率
	 * @return
	 */
	public BigDecimal getSsl() {
		return ssl;
	}

	/**
	 * 损失率
	 * @param ssl
	 */
	public void setSsl(BigDecimal ssl) {
		this.ssl = ssl;
	}

	/**
	 * 损耗数量
	 * @return
	 */
	public BigDecimal getShsl() {
		return shsl;
	}

	/**
	 * 损耗数量
	 * @param shsl
	 */
	public void setShsl(BigDecimal shsl) {
		this.shsl = shsl;
	}

	/**
	 * 损耗率
	 * @return
	 */
	public BigDecimal getShl() {
		return shl;
	}

	/**
	 * 损耗率
	 * @param shl
	 */
	public void setShl(BigDecimal shl) {
		this.shl = shl;
	}

	/**
	 * 溢余数量
	 * @return
	 */
	public BigDecimal getYysl() {
		return yysl;
	}

	/**
	 * 溢余数量
	 * @param yysl
	 */
	public void setYysl(BigDecimal yysl) {
		this.yysl = yysl;
	}

	/**
	 * 超耗数量
	 * @return
	 */
	public BigDecimal getChsl() {
		return chsl;
	}

	/**
	 * 超耗数量
	 * @param chsl
	 */
	public void setChsl(BigDecimal chsl) {
		this.chsl = chsl;
	}

	public BigDecimal getSzjlhj() {
		return szjlhj;
	}

	public void setSzjlhj(BigDecimal szjlhj) {
		this.szjlhj = szjlhj;
	}

	public BigDecimal getBgzrshdesl() {
		return bgzrshdesl;
	}

	public void setBgzrshdesl(BigDecimal bgzrshdesl) {
		this.bgzrshdesl = bgzrshdesl;
	}

}
