package com.chinaitop.depot.profitlossStatement.service;

import java.util.List;
import java.util.Map;

import com.chinaitop.depot.profitlossStatement.model.StorageRksfzzqrd;

public interface StorageRksfzzqrdService {

	/**
	 * 查询水分、杂质确认单数据
	 * @param pageNum
	 * @param pageSize
	 * @param orgId
	 * @return
	 * @throws Exception
	 */
	List<StorageRksfzzqrd> findByCondition(Integer pageNum, Integer pageSize, Integer orgId) throws Exception;

	/**
	 * 生成数据
	 * @param orgId 粮库ID
	 * @param cfid 仓房ID
	 * @throws Exception
	 */
	void save(String orgId, Integer cfid) throws Exception;

	/**
	 * 确认数据
	 * @param rksfzzqrd
	 * @throws Exception 
	 */
	void update(String rksfzzqrd) throws Exception;

}
