package com.chinaitop.depot.yylck.mapper;

import com.chinaitop.depot.yylck.model.BusinessFlowDetail;
import com.chinaitop.depot.yylck.model.BusinessFlowDetailExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface BusinessFlowDetailMapper {
    int countByExample(BusinessFlowDetailExample example);

    int deleteByExample(BusinessFlowDetailExample example);

    int deleteByPrimaryKey(String id);

    int insert(BusinessFlowDetail record);

    int insertSelective(BusinessFlowDetail record);

    List<BusinessFlowDetail> selectByExample(BusinessFlowDetailExample example);

    BusinessFlowDetail selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") BusinessFlowDetail record, @Param("example") BusinessFlowDetailExample example);

    int updateByExample(@Param("record") BusinessFlowDetail record, @Param("example") BusinessFlowDetailExample example);

    int updateByPrimaryKeySelective(BusinessFlowDetail record);

    int updateByPrimaryKey(BusinessFlowDetail record);

    /**
     * 查询溢余粮出库申请需要的审批角色ID
     * @param orgId
     * @return
     */
	Map<String, Integer> selectYylckAuditRoleIds(Integer orgId);
}