package com.chinaitop.depot.yylck.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;

public class StorageYylcktzd {

	@ApiModelProperty(value = "主键唯一uuid")
	private String id;

	@ApiModelProperty(value = "主键唯一uuid")
    private String tzdbh;

	@ApiModelProperty(value = "库ID")
    private Integer orgId;

	@ApiModelProperty(value = "通知单类型(0:出库)")
    private String tzdlx;

	@ApiModelProperty(value = "溢余粮仓库申请编号")
    private String yylcksqbh;

	@ApiModelProperty(value = "申请人")
    private String sqr;

	@ApiModelProperty(value = "原合同编号")
    private String yhtbh;

	@ApiModelProperty(value = "原合同仓房ID")
    private Integer yhtch;

	@ApiModelProperty(value = "原合同货位ID")
    private Integer yhthwh;

	@ApiModelProperty(value = "原合同粮食品种")
    private Integer yhtlspz;

	@ApiModelProperty(value = "原合同粮食性质")
    private Integer yhtlsxz;

	@ApiModelProperty(value = "原合同粮食等级")
    private Integer yhtlsdj;

	@ApiModelProperty(value = "原合同单价")
    private BigDecimal yhtdj;

	@ApiModelProperty(value = "客户名称")
    private String khmc;

	@ApiModelProperty(value = "客户证件号")
    private String khzjh;

	@ApiModelProperty(value = "客户联系电话")
    private String khlxdh;

	@ApiModelProperty(value = "客户类型")
    private String khlx;

	@ApiModelProperty(value = "数据状态(0:保存,1:提交)")
    private String dataStatus;

	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
    private Date cjsj;

	@ApiModelProperty(value = "创建人ID")
    private Integer cjrId;

	@ApiModelProperty(value = "创建人名称")
    private String cjrName;

	@ApiModelProperty(value = "出库数量")
	private BigDecimal cksl;

	@ApiModelProperty(value = "出库总金额")
	private BigDecimal ckzje;

	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "出库开始时间")
	private Date ckkssj;

	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "出库结束时间")
	private Date ckjssj;

	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "最后修改时间")
    private Date updatetime;

    /**
     * null
     * @return id null
     */
    public String getId() {
        return id;
    }

    /**
     * null
     * @param id null
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * null
     * @return tzdbh null
     */
    public String getTzdbh() {
        return tzdbh;
    }

    /**
     * null
     * @param tzdbh null
     */
    public void setTzdbh(String tzdbh) {
        this.tzdbh = tzdbh == null ? null : tzdbh.trim();
    }

    /**
     * null
     * @return org_id null
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * null
     * @param orgId null
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * null
     * @return tzdlx null
     */
    public String getTzdlx() {
        return tzdlx;
    }

    /**
     * null
     * @param tzdlx null
     */
    public void setTzdlx(String tzdlx) {
        this.tzdlx = tzdlx == null ? null : tzdlx.trim();
    }

    /**
     * null
     * @return yylcksqbh null
     */
    public String getYylcksqbh() {
        return yylcksqbh;
    }

    /**
     * null
     * @param yylcksqbh null
     */
    public void setYylcksqbh(String yylcksqbh) {
        this.yylcksqbh = yylcksqbh == null ? null : yylcksqbh.trim();
    }

    /**
     * null
     * @return sqr null
     */
    public String getSqr() {
        return sqr;
    }

    /**
     * null
     * @param sqr null
     */
    public void setSqr(String sqr) {
        this.sqr = sqr == null ? null : sqr.trim();
    }

    /**
     * null
     * @return yhtbh null
     */
    public String getYhtbh() {
        return yhtbh;
    }

    /**
     * null
     * @param yhtbh null
     */
    public void setYhtbh(String yhtbh) {
        this.yhtbh = yhtbh == null ? null : yhtbh.trim();
    }

    /**
     * null
     * @return yhtch null
     */
    public Integer getYhtch() {
        return yhtch;
    }

    /**
     * null
     * @param yhtch null
     */
    public void setYhtch(Integer yhtch) {
        this.yhtch = yhtch;
    }

    /**
     * null
     * @return yhthwh null
     */
    public Integer getYhthwh() {
        return yhthwh;
    }

    /**
     * null
     * @param yhthwh null
     */
    public void setYhthwh(Integer yhthwh) {
        this.yhthwh = yhthwh;
    }

    /**
     * null
     * @return ythlspz null
     */
    public Integer getYhtlspz() {
        return yhtlspz;
    }

    /**
     * null
     * @param ythlspz null
     */
    public void setYhtlspz(Integer yhtlspz) {
        this.yhtlspz = yhtlspz;
    }

    public Integer getYhtlsxz() {
		return yhtlsxz;
	}

	public void setYhtlsxz(Integer yhtlsxz) {
		this.yhtlsxz = yhtlsxz;
	}

	/**
     * null
     * @return yhtlsdj null
     */
    public Integer getYhtlsdj() {
        return yhtlsdj;
    }

    /**
     * null
     * @param yhtlsdj null
     */
    public void setYhtlsdj(Integer yhtlsdj) {
        this.yhtlsdj = yhtlsdj;
    }

    /**
     * null
     * @return yhtdj null
     */
    public BigDecimal getYhtdj() {
        return yhtdj;
    }

    /**
     * null
     * @param yhtdj null
     */
    public void setYhtdj(BigDecimal yhtdj) {
        this.yhtdj = yhtdj;
    }

    /**
     * null
     * @return khmc null
     */
    public String getKhmc() {
        return khmc;
    }

    /**
     * null
     * @param khmc null
     */
    public void setKhmc(String khmc) {
        this.khmc = khmc == null ? null : khmc.trim();
    }

    /**
     * null
     * @return khzjh null
     */
    public String getKhzjh() {
        return khzjh;
    }

    /**
     * null
     * @param khzjh null
     */
    public void setKhzjh(String khzjh) {
        this.khzjh = khzjh == null ? null : khzjh.trim();
    }

    /**
     * null
     * @return khlxdh null
     */
    public String getKhlxdh() {
        return khlxdh;
    }

    /**
     * null
     * @param khlxdh null
     */
    public void setKhlxdh(String khlxdh) {
        this.khlxdh = khlxdh == null ? null : khlxdh.trim();
    }

    /**
     * null
     * @return khlx null
     */
    public String getKhlx() {
        return khlx;
    }

    /**
     * null
     * @param khlx null
     */
    public void setKhlx(String khlx) {
        this.khlx = khlx == null ? null : khlx.trim();
    }

    /**
     * null
     * @return data_status null
     */
    public String getDataStatus() {
        return dataStatus;
    }

    /**
     * null
     * @param dataStatus null
     */
    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus == null ? null : dataStatus.trim();
    }

    /**
     * null
     * @return cjsj null
     */
    public Date getCjsj() {
        return cjsj;
    }

    /**
     * null
     * @param cjsj null
     */
    public void setCjsj(Date cjsj) {
        this.cjsj = cjsj;
    }

    /**
     * null
     * @return cjr_id null
     */
    public Integer getCjrId() {
        return cjrId;
    }

    /**
     * null
     * @param cjrId null
     */
    public void setCjrId(Integer cjrId) {
        this.cjrId = cjrId;
    }

    /**
     * null
     * @return cjr_name null
     */
    public String getCjrName() {
        return cjrName;
    }

    /**
     * null
     * @param cjrName null
     */
    public void setCjrName(String cjrName) {
        this.cjrName = cjrName == null ? null : cjrName.trim();
    }

    public BigDecimal getCksl() {
		return cksl;
	}

	public void setCksl(BigDecimal cksl) {
		this.cksl = cksl;
	}

	public BigDecimal getCkzje() {
		return ckzje;
	}

	public void setCkzje(BigDecimal ckzje) {
		this.ckzje = ckzje;
	}

	public Date getCkkssj() {
		return ckkssj;
	}

	public void setCkkssj(Date ckkssj) {
		this.ckkssj = ckkssj;
	}

	public Date getCkjssj() {
		return ckjssj;
	}

	public void setCkjssj(Date ckjssj) {
		this.ckjssj = ckjssj;
	}

	/**
     * null
     * @return updatetime null
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * null
     * @param updatetime null
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}