package com.chinaitop.depot.profitlossStatement.model;

import java.math.BigDecimal;
import java.util.Date;

public class StorageProfitlossDcjl {
    private String id;

    private Integer orgId;

    private String zid;

    private Integer dcch;

    private Integer dchwh;

    private BigDecimal drlssl;

    private BigDecimal rcsf;

    private BigDecimal rczz;

    private BigDecimal fczjsf;

    private BigDecimal fczjzz;

    private BigDecimal ccsf;

    private BigDecimal cczz;

    private String rcsfjl;

    private String rczzjl;

    private String rchjsfzzjl;

    private String ccqjsfjl;

    private String ccqjzzjl;

    private String ccqjsfzzjl;

    private Date cjsj;

    private Date updatetime;

    /**
     * 主键
     * @return id 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 主键
     * @param id 主键
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 库ID
     * @return org_id 库ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 库ID
     * @param orgId 库ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 主表ID
     * @return zid 主表ID
     */
    public String getZid() {
        return zid;
    }

    /**
     * 主表ID
     * @param zid 主表ID
     */
    public void setZid(String zid) {
        this.zid = zid == null ? null : zid.trim();
    }

    /**
     * 倒出仓号
     * @return dcch 倒出仓号
     */
    public Integer getDcch() {
        return dcch;
    }

    /**
     * 倒出仓号
     * @param dcch 倒出仓号
     */
    public void setDcch(Integer dcch) {
        this.dcch = dcch;
    }

    /**
     * 倒出货位号
     * @return dchwh 倒出货位号
     */
    public Integer getDchwh() {
        return dchwh;
    }

    /**
     * 倒出货位号
     * @param dchwh 倒出货位号
     */
    public void setDchwh(Integer dchwh) {
        this.dchwh = dchwh;
    }

    /**
     * 倒入粮食数量
     * @return drlssl 倒入粮食数量
     */
    public BigDecimal getDrlssl() {
        return drlssl;
    }

    /**
     * 倒入粮食数量
     * @param drlssl 倒入粮食数量
     */
    public void setDrlssl(BigDecimal drlssl) {
        this.drlssl = drlssl;
    }

    /**
     * 入仓水分
     * @return rcsf 入仓水分
     */
    public BigDecimal getRcsf() {
        return rcsf;
    }

    /**
     * 入仓水分
     * @param rcsf 入仓水分
     */
    public void setRcsf(BigDecimal rcsf) {
        this.rcsf = rcsf;
    }

    /**
     * 入仓杂质
     * @return rczz 入仓杂质
     */
    public BigDecimal getRczz() {
        return rczz;
    }

    /**
     * 入仓杂质
     * @param rczz 入仓杂质
     */
    public void setRczz(BigDecimal rczz) {
        this.rczz = rczz;
    }

    /**
     * 封仓自检水分
     * @return fczjsf 封仓自检水分
     */
    public BigDecimal getFczjsf() {
        return fczjsf;
    }

    /**
     * 封仓自检水分
     * @param fczjsf 封仓自检水分
     */
    public void setFczjsf(BigDecimal fczjsf) {
        this.fczjsf = fczjsf;
    }

    /**
     * 封仓自检杂质
     * @return fczjzz 封仓自检杂质
     */
    public BigDecimal getFczjzz() {
        return fczjzz;
    }

    /**
     * 封仓自检杂质
     * @param fczjzz 封仓自检杂质
     */
    public void setFczjzz(BigDecimal fczjzz) {
        this.fczjzz = fczjzz;
    }

    /**
     * 出仓水分
     * @return ccsf 出仓水分
     */
    public BigDecimal getCcsf() {
        return ccsf;
    }

    /**
     * 出仓水分
     * @param ccsf 出仓水分
     */
    public void setCcsf(BigDecimal ccsf) {
        this.ccsf = ccsf;
    }

    /**
     * 出仓杂质
     * @return cczz 出仓杂质
     */
    public BigDecimal getCczz() {
        return cczz;
    }

    /**
     * 出仓杂质
     * @param cczz 出仓杂质
     */
    public void setCczz(BigDecimal cczz) {
        this.cczz = cczz;
    }

    /**
     * 入仓水分减量
     * @return rcsfjl 入仓水分减量
     */
    public String getRcsfjl() {
        return rcsfjl;
    }

    /**
     * 入仓水分减量
     * @param rcsfjl 入仓水分减量
     */
    public void setRcsfjl(String rcsfjl) {
        this.rcsfjl = rcsfjl == null ? null : rcsfjl.trim();
    }

    /**
     * 入仓杂质减量
     * @return rczzjl 入仓杂质减量
     */
    public String getRczzjl() {
        return rczzjl;
    }

    /**
     * 入仓杂质减量
     * @param rczzjl 入仓杂质减量
     */
    public void setRczzjl(String rczzjl) {
        this.rczzjl = rczzjl == null ? null : rczzjl.trim();
    }

    /**
     * 入仓环节水分杂质减量
     * @return rchjsfzzjl 入仓环节水分杂质减量
     */
    public String getRchjsfzzjl() {
        return rchjsfzzjl;
    }

    /**
     * 入仓环节水分杂质减量
     * @param rchjsfzzjl 入仓环节水分杂质减量
     */
    public void setRchjsfzzjl(String rchjsfzzjl) {
        this.rchjsfzzjl = rchjsfzzjl == null ? null : rchjsfzzjl.trim();
    }

    /**
     * 出仓期间水分减量
     * @return ccqjsfjl 出仓期间水分减量
     */
    public String getCcqjsfjl() {
        return ccqjsfjl;
    }

    /**
     * 出仓期间水分减量
     * @param ccqjsfjl 出仓期间水分减量
     */
    public void setCcqjsfjl(String ccqjsfjl) {
        this.ccqjsfjl = ccqjsfjl == null ? null : ccqjsfjl.trim();
    }

    /**
     * 出仓期间杂质减量
     * @return ccqjzzjl 出仓期间杂质减量
     */
    public String getCcqjzzjl() {
        return ccqjzzjl;
    }

    /**
     * 出仓期间杂质减量
     * @param ccqjzzjl 出仓期间杂质减量
     */
    public void setCcqjzzjl(String ccqjzzjl) {
        this.ccqjzzjl = ccqjzzjl == null ? null : ccqjzzjl.trim();
    }

    /**
     * 出仓期间水分杂质减量
     * @return ccqjsfzzjl 出仓期间水分杂质减量
     */
    public String getCcqjsfzzjl() {
        return ccqjsfzzjl;
    }

    /**
     * 出仓期间水分杂质减量
     * @param ccqjsfzzjl 出仓期间水分杂质减量
     */
    public void setCcqjsfzzjl(String ccqjsfzzjl) {
        this.ccqjsfzzjl = ccqjsfzzjl == null ? null : ccqjsfzzjl.trim();
    }

    /**
     * 创建时间
     * @return cjsj 创建时间
     */
    public Date getCjsj() {
        return cjsj;
    }

    /**
     * 创建时间
     * @param cjsj 创建时间
     */
    public void setCjsj(Date cjsj) {
        this.cjsj = cjsj;
    }

    /**
     * 修改时间
     * @return updatetime 修改时间
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 修改时间
     * @param updatetime 修改时间
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}