package com.chinaitop.depot.profitlossStatement.model;

import java.math.BigDecimal;
import java.util.Date;

public class StorageRksfzzqrd {
    private String id;

    private String cfmc;

    private Integer cfid;

    private String hwmc;

    private Integer hwid;

    private Integer orgId;

    private String ywlx;

    private Date rksj;

    private Date rcsj;

    private Date jksj;

    private BigDecimal rksl;

    private String lypz;

    private String pz;

    private String lydj;

    private BigDecimal ywsfzl;

    private BigDecimal rksf;

    private BigDecimal ywzzzl;

    private BigDecimal rkzz;

    private String sfqr;

    private Date updateTime;

    /**
     * 主键uuid
     * @return id 主键uuid
     */
    public String getId() {
        return id;
    }

    /**
     * 主键uuid
     * @param id 主键uuid
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 仓房名称
     * @return cfmc 仓房名称
     */
    public String getCfmc() {
        return cfmc;
    }

    /**
     * 仓房名称
     * @param cfmc 仓房名称
     */
    public void setCfmc(String cfmc) {
        this.cfmc = cfmc == null ? null : cfmc.trim();
    }

    /**
     * 仓房ID
     * @return cfid 仓房ID
     */
    public Integer getCfid() {
        return cfid;
    }

    /**
     * 仓房ID
     * @param cfid 仓房ID
     */
    public void setCfid(Integer cfid) {
        this.cfid = cfid;
    }

    /**
     * 货位名称
     * @return hwmc 货位名称
     */
    public String getHwmc() {
        return hwmc;
    }

    /**
     * 货位名称
     * @param hwmc 货位名称
     */
    public void setHwmc(String hwmc) {
        this.hwmc = hwmc == null ? null : hwmc.trim();
    }

    /**
     * 货位ID
     * @return hwid 货位名称
     */
    public Integer getHwid() {
        return hwid;
    }

    /**
     * 货位ID
     * @param hwid 货位ID
     */
    public void setHwid(Integer hwid) {
        this.hwid = hwid;
    }

    /**
     * 组织机构ID
     * @return org_id 组织机构ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织机构ID
     * @param orgId 组织机构ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 业务类型(0:粮仓,1:油罐)
     * @return ywlx 业务类型(0:粮仓,1:油罐)
     */
    public String getYwlx() {
        return ywlx;
    }

    /**
     * 业务类型(0:粮仓,1:油罐)
     * @param ywlx 业务类型(0:粮仓,1:油罐)
     */
    public void setYwlx(String ywlx) {
        this.ywlx = ywlx == null ? null : ywlx.trim();
    }

    /**
     * 入库时间(第一车)
     * @return rksj 入库时间(第一车)
     */
    public Date getRksj() {
        return rksj;
    }

    /**
     * 入库时间(第一车)
     * @param rksj 入库时间(第一车)
     */
    public void setRksj(Date rksj) {
        this.rksj = rksj;
    }

    /**
     * 入仓时间(最后一车)
     * @return rcsj 入仓时间(最后一车)
     */
    public Date getRcsj() {
        return rcsj;
    }

    /**
     * 入仓时间(最后一车)
     * @param rcsj 入仓时间(最后一车)
     */
    public void setRcsj(Date rcsj) {
        this.rcsj = rcsj;
    }

    /**
     * 建卡时间
     * @return jksj 建卡时间
     */
    public Date getJksj() {
        return jksj;
    }

    /**
     * 建卡时间
     * @param jksj 建卡时间
     */
    public void setJksj(Date jksj) {
        this.jksj = jksj;
    }

    /**
     * 入库数量(公斤)
     * @return rksl 入库数量(公斤)
     */
    public BigDecimal getRksl() {
        return rksl;
    }

    /**
     * 入库数量(公斤)
     * @param rksl 入库数量(公斤)
     */
    public void setRksl(BigDecimal rksl) {
        this.rksl = rksl;
    }

    /**
     * 粮油品种名称
     * @return lypz 粮油品种名称
     */
    public String getLypz() {
        return lypz;
    }

    /**
     * 粮油品种名称
     * @param lypz 粮油品种名称
     */
    public void setLypz(String lypz) {
        this.lypz = lypz == null ? null : lypz.trim();
    }

    /**
     * 粮油品种ID
     * @return pz 粮油品种ID
     */
    public String getPz() {
        return pz;
    }

    /**
     * 粮油品种ID
     * @param pz 粮油品种ID
     */
    public void setPz(String pz) {
        this.pz = pz == null ? null : pz.trim();
    }

    /**
     * 粮油等级
     * @return lydj 粮油等级
     */
    public String getLydj() {
        return lydj;
    }

    /**
     * 粮油等级
     * @param lydj 粮油等级
     */
    public void setLydj(String lydj) {
        this.lydj = lydj == null ? null : lydj.trim();
    }

    /**
     * 业务数据水分总量(公斤)
     * @return ywsfzl 业务数据水分总量(公斤)
     */
    public BigDecimal getYwsfzl() {
        return ywsfzl;
    }

    /**
     * 业务数据水分总量(公斤)
     * @param ywsfzl 业务数据水分总量(公斤)
     */
    public void setYwsfzl(BigDecimal ywsfzl) {
        this.ywsfzl = ywsfzl;
    }

    /**
     * 入库水分
     * @return rksf 入库水分
     */
    public BigDecimal getRksf() {
        return rksf;
    }

    /**
     * 入库水分
     * @param rksf 入库水分
     */
    public void setRksf(BigDecimal rksf) {
        this.rksf = rksf;
    }

    /**
     * 业务数据杂质总量(公斤)
     * @return ywzzzl 业务数据杂质总量(公斤)
     */
    public BigDecimal getYwzzzl() {
        return ywzzzl;
    }

    /**
     * 业务数据杂质总量(公斤)
     * @param ywzzzl 业务数据杂质总量(公斤)
     */
    public void setYwzzzl(BigDecimal ywzzzl) {
        this.ywzzzl = ywzzzl;
    }

    /**
     * 入库杂质
     * @return rkzz 入库杂质
     */
    public BigDecimal getRkzz() {
        return rkzz;
    }

    /**
     * 入库杂质
     * @param rkzz 入库杂质
     */
    public void setRkzz(BigDecimal rkzz) {
        this.rkzz = rkzz;
    }

    /**
     * 是否确认(0:是,1:否)
     * @return sfqr 是否确认(0:是,1:否)
     */
    public String getSfqr() {
        return sfqr;
    }

    /**
     * 是否确认(0:是,1:否)
     * @param sfqr 是否确认(0:是,1:否)
     */
    public void setSfqr(String sfqr) {
        this.sfqr = sfqr == null ? null : sfqr.trim();
    }

    /**
     * 最后更新时间
     * @return update_time 最后更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后更新时间
     * @param updateTime 最后更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}