package com.chinaitop.depot.profitlossStatement.service.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.profitlossStatement.mapper.StorageProfitlossDcjlMapper;
import com.chinaitop.depot.profitlossStatement.model.StorageProfitlossDcjl;
import com.chinaitop.depot.profitlossStatement.model.StorageProfitlossDcjlExample;
import com.chinaitop.depot.profitlossStatement.service.StorageProfitlossDcjlService;

@Service
public class StorageProfitlossDcjlServiceImpl implements StorageProfitlossDcjlService {

	@Resource
	private StorageProfitlossDcjlMapper storageProfitlossDcjlMapper;

	@Override
	public List<StorageProfitlossDcjl> getList(String zid) throws Exception {
		StorageProfitlossDcjlExample example = new StorageProfitlossDcjlExample();
		StorageProfitlossDcjlExample.Criteria criteria = example.createCriteria();
		criteria.andZidEqualTo(zid);
		example.setOrderByClause("cjsj");
		List<StorageProfitlossDcjl> list = storageProfitlossDcjlMapper.selectByExample(example);
		return list;
	}

}
