package com.chinaitop.depot.yylck.service;

import java.util.List;

import com.chinaitop.depot.yylck.model.StorageYylckDefault;

public interface StorageYylckDefaultService {

	/**
	 * 查询溢余粮出库申请列表
	 * @param orgId 库ID
	 * @param ch 仓房ID
	 * @param hwh 货位ID
	 * @return
	 * @throws Exception
	 */
	public List<StorageYylckDefault> queryList(StorageYylckDefault storageYylckDefault) throws Exception;

	/**
	 * 溢余粮出库申请保存
	 * @param yylckJson
	 * @param tjrId 提交人ID
	 * @param fileIds 文件信息
	 */
	public void saveOrUpdate(String yylckJson, Integer tjrId, String fileIds) throws Exception;

	/**
	 * 查询一条溢余粮出库申请数据详情，包含审批流程的数据
	 * @param id 数据ID
	 * @return
	 * @throws Exception
	 */
	public StorageYylckDefault findByIdYylckDefaultObj(String id) throws Exception;

	/**
	 * 删除一条溢余粮出库申请数据
	 * @param id
	 * @throws Exception
	 */
	public void deleteByIdYylckDefaultObj(String id) throws Exception;
}
